Package org.apache.storm.security.auth.authorizer

# Class DRPCSimpleACLAuthorizer

java.lang.Object
org.apache.storm.security.auth.authorizer.DRPCAuthorizerBase
org.apache.storm.security.auth.authorizer.DRPCSimpleACLAuthorizer

All Implemented Interfaces:
  `IAuthorizer`

public class DRPCSimpleACLAuthorizer extends DRPCAuthorizerBase

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `DRPCSimpleACLAuthorizer.AclFunctionEntry`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `aclFileName`
  `static final String`
  `CLIENT_USERS_KEY`
  `static final String`
  `FUNCTION_KEY`
  `static final String`
  `INVOCATION_USER_KEY`
  `static final org.slf4j.Logger`
  `LOG`
  `protected boolean`
  `permitWhenMissingFunctionEntry`
  `protected IPrincipalToLocal`
  `ptol`

  ### Fields inherited from class org.apache.storm.security.auth.authorizer.DRPCAuthorizerBase

  `FUNCTION_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DRPCSimpleACLAuthorizer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `permitClientOrInvocationRequest(ReqContext context, Map<String,Object> params, String fieldName)`
  `protected boolean`
  `permitClientRequest(ReqContext context, String operation, Map<String,Object> params)`
  `protected boolean`
  `permitInvocationRequest(ReqContext context, String operation, Map<String,Object> params)`
  `void`
  `prepare(Map<String,Object> conf)`
  Invoked once immediately after construction.
  `protected Map<String,DRPCSimpleACLAuthorizer.AclFunctionEntry>`
  `readAclFromConfig()`

  ### Methods inherited from class org.apache.storm.security.auth.authorizer.DRPCAuthorizerBase

  `permit`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### LOG

    public static final org.slf4j.Logger LOG

  - ### CLIENT_USERS_KEY

    public static final String CLIENT_USERS_KEY
    See Also:
      - Constant Field Values

  - ### INVOCATION_USER_KEY

    public static final String INVOCATION_USER_KEY
    See Also:
      - Constant Field Values

  - ### FUNCTION_KEY

    public static final String FUNCTION_KEY
    See Also:
      - Constant Field Values

  - ### aclFileName

    protected String aclFileName

  - ### ptol

    protected IPrincipalToLocal ptol

  - ### permitWhenMissingFunctionEntry

    protected boolean permitWhenMissingFunctionEntry

- ## Constructor Details

  - ### DRPCSimpleACLAuthorizer

    public DRPCSimpleACLAuthorizer()

- ## Method Details

  - ### readAclFromConfig

    protected Map<String,DRPCSimpleACLAuthorizer.AclFunctionEntry> readAclFromConfig()

  - ### prepare

    public void prepare(Map<String,Object> conf)
    Description copied from interface: `IAuthorizer`
    Invoked once immediately after construction.
    Specified by:
      `prepare` in interface `IAuthorizer`
    Specified by:
      `prepare` in class `DRPCAuthorizerBase`
    Parameters:
      `conf` - Storm cluster configuration

  - ### permitClientOrInvocationRequest

    protected boolean permitClientOrInvocationRequest(ReqContext context, Map<String,Object> params, String fieldName)

  - ### permitClientRequest

    protected boolean permitClientRequest(ReqContext context, String operation, Map<String,Object> params)
    Specified by:
      `permitClientRequest` in class `DRPCAuthorizerBase`

  - ### permitInvocationRequest

    protected boolean permitInvocationRequest(ReqContext context, String operation, Map<String,Object> params)
    Specified by:
      `permitInvocationRequest` in class `DRPCAuthorizerBase`